﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication5
{
    class Condition
    {
        public int Index_Town1 { get; private set; }
        public int Index_Town2 { get; private set; }
        public float MaxTime { get; private set; }

        private List<Road> Roads = new List<Road>();    // Silnice, které propojují města v podmínce

        public Condition(int Index_Town1, int Index_Town2, float MaxTime)
        {
            this.Index_Town1 = Index_Town1;
            this.Index_Town2 = Index_Town2;
            this.MaxTime = MaxTime;
        }

        public void AddRoad(Road road)
        {
            Roads.Add(road);
        }

        public void AddRoads(List<Road> Roads)
        {
            this.Roads.AddRange(Roads);
        }

        public List<Road> GetRoads()
        {
            return Roads;
        }

        public bool Contains(Road road1)
        {
            foreach (Road road2 in Roads)
            {
                if (Object.Equals(road1, road2))
                {
                    return true;
                }
            }

            return false;
        }
    }
}
