﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication5
{
    sealed class Town
    {
        public int OriginalIndex { get; private set; } // Index města ze vstupního souboru potřebný pro výstupní soubor

        public float X { get; private set; }
        public float Y { get; private set; }

        public List<Road> Roads { get; private set; }   // Imaginární silnice vycházející z tohoto města do všech ostatních měst

        public Town(float X, float Y, int OriginalIndex)
        {
            this.X = X;
            this.Y = Y;
            this.OriginalIndex = OriginalIndex;

            Roads = new List<Road>();
        }

        public void AddRoad(Road road)
        {
            Roads.Add(road);
        }

        public Point ToPoint()
        {
            return new Point(X, Y);
        }
    }
}
