<?php
class Road{
	public $type;
	public $from;
	public $to;
	private $regionMap;
	private $length;
	
	public function Road($from,$to,$regionMap,$type){
		$this->from = $from;
		$this->to = $to;
		$this->type = $type;
		$this->regionMap=$regionMap;

		$a = ($from->getPos()->x > $to->getPos()->x ? $from->getPos()->x - $to->getPos()->x : $to->getPos()->x - $from->getPos()->x);
		$b = ($from->getPos()->y > $to->getPos()->y ? $from->getPos()->y - $to->getPos()->y : $to->getPos()->y - $from->getPos()->y);
		
		$this->length = sqrt($a*$a + $b*$b);
		
	}

	public function equality($road){
		if($road->from == $this->from && $road->to == $this->to)
			return true;
		else if($road->from == $this->to && $road->to == $this->from)
			return true;
		else
			return false;
	}

	public function getPos(){
		return $this->position;
	}

	public function getID(){
		return $this->id;
	}
	
	public function getTime(){
		$efektyKrajiny = array();
		foreach($this->regionMap as $region){
			$data = $region->isRoadInLand($this);
			if(Count($data) != 0)
				array_push($efektyKrajiny,$data);
			
		}
		
		return $this->length * $this->type->getCena();
	}
}

?>
