#ifndef REGION_H
#define REGION_H
#include "common.h"

struct Region{
public:
	Region(float diff, vec2 LU, vec2 RD):diff(diff), LU(LU), RD(RD){}

	float getDiff(){return diff;}
	vec2 getLU(){return LU;}
	vec2 getRD(){return RD;}
private:
	float diff;//terrain difficulty of region
	vec2 LU;//left up - smallest X,Y
	vec2 RD;//right down - biggest X,Y
};

#endif
