#ifndef ROAD_H
#define ROAD_H

#include "common.h"
#include "region.h"

struct City;

struct Road{
public:
	Road(uint32_t c1, uint32_t c2, uint32_t type);
	Road(uint32_t c1, uint32_t c2, uint32_t type, float m, float t);
	Road(Road *original);

	void computeTM(float m, float t, Vector<Region*>& regions, Vector<City*>& cities);// compute Time & Money
		//input: m=money/unit, t=time/unit

	bool compare(Road *o);

	uint32_t getCN(uint32_t i); //get city num
	uint32_t getType(){return type;}
	float getTime(){return time;}
	float getMoney(){return money;}
	float getLen(){return len;}
private:
	uint32_t c[2];
	uint32_t type;

	float len;
	float time;
	float money;
};

#endif
